using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using DataProject.Entities;

namespace DataProject.Mapping
{
	public class BenutzerMap : EntityTypeConfiguration<Benutzer>
	{
		public BenutzerMap()
		{
			// Primary Key
			this.HasKey(t => t.ID);

			// Properties
			// Table & Column Mappings
			this.ToTable("Benutzer");
			this.Property(t => t.ID).HasColumnName("ID");
			this.Property(t => t.Name).HasColumnName("Name");
			this.Property(t => t.Passwort).HasColumnName("Passwort");
			this.Property(t => t.Gesperrt).HasColumnName("Gesperrt");
			this.Property(t => t.Berechtigungen).HasColumnName("Berechtigungen");
		}
	}
}

