using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using DataProject.Entities;

namespace DataProject.Mapping
{
	public class SmsProtokollMap : EntityTypeConfiguration<SmsProtokoll>
	{
		public SmsProtokollMap()
		{
			// Primary Key
			this.HasKey(t => t.ID);

			// Properties
			// Table & Column Mappings
			this.ToTable("SmsProtokoll");
			this.Property(t => t.ID).HasColumnName("ID");
			this.Property(t => t.Datum).HasColumnName("Datum");
			this.Property(t => t.AngefordertVon).HasColumnName("AngefordertVon");
			this.Property(t => t.Smstext).HasColumnName("Smstext");
			this.Property(t => t.Richtung).HasColumnName("Richtung");
		}
	}
}

