using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using DataProject.Entities;

namespace DataProject.Mapping
{
	public class TarifeMap : EntityTypeConfiguration<Tarife>
	{
		public TarifeMap()
		{
			// Primary Key
			this.HasKey(t => t.ID);

			// Properties
			// Table & Column Mappings
			this.ToTable("Tarifes");
			this.Property(t => t.ID).HasColumnName("ID");
			this.Property(t => t.Anbieter).HasColumnName("Anbieter");
			this.Property(t => t.Tarif).HasColumnName("Tarif");
			this.Property(t => t.Benutzer).HasColumnName("Benutzer");
			this.Property(t => t.Passwort).HasColumnName("Passwort");
			this.Property(t => t.Handynummer).HasColumnName("Handynummer");
			this.Property(t => t.Versandart).HasColumnName("Versandart");
			this.Property(t => t.Mailempfang).HasColumnName("Mailempfang");
			this.Property(t => t.Webadresse).HasColumnName("Webadresse");
			this.Property(t => t.Kundennummer).HasColumnName("Kundennummer");
		}
	}
}

