﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DataProject;
using DummyProject1.Modells;

namespace DummyProject1
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private KfzContext6Context kt = new KfzContext6Context();

        public MainWindow()
        {
            InitializeComponent();
            kt.Database.CreateIfNotExists();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Arbeitsbereich.Children.Clear();
            Arbeitsbereich.Children.Add(new FahrzeugControl { Name = "Fahrzeuge"});
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            Arbeitsbereich.Children.Clear();
            Arbeitsbereich.Children.Add(new FZControl { Name = "Fahrzeuge" });

        }
    }
}
